#include <bits/stdc++.h>
using namespace std;
int main()
{
    ifstream fi("DR.INP");
    ofstream fo("DR.OUT");
    fi>>n>>m;
    for(i=0;i<n;i++)
    {
        fi>>u[i];
        c[i]=1;
    }
    for(i=0;i<m;i++)
    {
        fi>>v[i];
    }
    sort(u,u+n);
    sort(v,v+n);
    int dem=0;
    for(i=0;i<n;i++)
    {
        int l=0;
        for(int j=0;j<n:j++)
        {
            if(u[i]==v[j] break)
            if(u[i!=v[j])
            {
                l++;
            }
        }
        if (l==n)
        {
            dem++;
            c[i]=u[i];
        }
    }
    fo<<dem<<endl;
    for(i=0;i<n;i++)
    {
        if(c[1]=-1) fo<<[i]<<' ';
    }
    return 0;
}
